Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.filter
Class BackgroundRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.gvt.filter.BackgroundRable8Bit

All Implemented Interfaces:
  RenderableImage, Filter

    public class BackgroundRable8Bit

extends AbstractRable

This implementation of RenderableImage will render its input GraphicsNode into a BufferedImage upon invokation of one of its createRendering methods.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`BackgroundRable8Bit(GraphicsNode node)`

Method Summary
`RenderedImage` | `createRendering(RenderContext renderContext)` Creates a RenderedImage that represented a rendering of this image using a given RenderContext.
`Filter` | `getBackground(GraphicsNode gn, GraphicsNode child, Rectangle2D aoi)` Returns a filter that represents the background image for `child`.
`Rectangle2D` | `getBounds2D()` Returns the bounds of this Rable in the user coordinate system.
`GraphicsNode` | `getGraphicsNode()` Returns the `GraphicsNode` rendered by this image
`boolean` | `isDynamic()` Returns true if successive renderings (that is, calls to createRendering() or createScaledRendering()) with the same arguments may produce different results.
`void` | `setGraphicsNode(GraphicsNode node)` Sets the `GraphicsNode` this image should render

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackgroundRable8Bit

    public BackgroundRable8Bit(GraphicsNode node)

Parameters:
  `node` - The GraphicsNode this image should represent

Method Detail

### getGraphicsNode

    public GraphicsNode getGraphicsNode()

  Returns the `GraphicsNode` rendered by this image

### setGraphicsNode

    public void setGraphicsNode(GraphicsNode node)

  Sets the `GraphicsNode` this image should render

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the bounds of this Rable in the user coordinate system.

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### getBackground

    public Filter getBackground(GraphicsNode gn,
                                GraphicsNode child,
                                Rectangle2D aoi)

  Returns a filter that represents the background image for `child`.

  Parameters:
    `gn` - Node to get background image for.
    `child` - Child to stop at when compositing children of gn into the background image.
    `aoi` - The area of interest for rendering (used to cull nodes that don't intersect the region to render).

### isDynamic

    public boolean isDynamic()

  Returns true if successive renderings (that is, calls to createRendering() or createScaledRendering()) with the same arguments may produce different results. This method may be used to determine whether an existing rendering may be cached and reused. It is always safe to return true.

  Specified by:
    `isDynamic` in interface `RenderableImage`
  Overrides:
    `isDynamic` in class `AbstractRable`

### createRendering

    public RenderedImage createRendering(RenderContext renderContext)

  Creates a RenderedImage that represented a rendering of this image using a given RenderContext. This is the most general way to obtain a rendering of a RenderableImage.

  The created RenderedImage may have a property identified by the String HINTS_OBSERVED to indicate which RenderingHints (from the RenderContext) were used to create the image. In addition any RenderedImages that are obtained via the getSources() method on the created RenderedImage may have such a property.

  Parameters:
    `renderContext` - the RenderContext to use to produce the rendering.
  Returns:
    a RenderedImage containing the rendered data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.